Custom_CRUD_MVC/Custom_CRUD_MVC/Models/Products.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Custom_CRUD_MVC.Models
{
    public class Products
    {
        public int id { get; set; }
        public string product_name { get; set; }
        public int product_price { get; set; }
        public int product_quantity { get; set; }
        public string brand_name { get; set; }
        public int status { get; set; }
        public int category_id { get; set; }

    }
}

Custom_CRUD_MVC/Custom_CRUD_MVC/Controllers/ProductsController.cs
using Custom_CRUD_MVC.Models;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Custom_CRUD_MVC.Controllers
{
    public class ProductsController : Controller
    {
        public string cs = ConfigurationManager.ConnectionStrings["ems"].ConnectionString;
        // GET: User
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult CreateProduct()
        {
            SqlConnection connection = new SqlConnection(cs);
            string query = "SELECT * FROM categories";
            SqlCommand cmd = new SqlCommand(query, connection);
            var modelList = new List<Category>();
            connection.Open();
            SqlDataReader sdr = cmd.ExecuteReader();
            while (sdr.Read())
            {
                var cat = new Category();
                cat.id = (int)sdr["id"];
                cat.category_name = (string)sdr["category_name"];
                cat.status = (int)sdr["status"];
                modelList.Add(cat);
            }
            connection.Close();
            return View(modelList);
        }

        [HttpPost]
        public ActionResult CreateProduct(Products pro)
        {
            SqlConnection connection = new SqlConnection(cs);
            connection.Open();
            string query = "INSERT INTO categories (category_name,status)" +
                " VALUES ('" + pro.id + "',1)";
            SqlCommand cmd = new SqlCommand(query, connection);
            cmd.ExecuteNonQuery();
            connection.Close();

            return RedirectToAction("ViewCategory");
        }

        public ActionResult EditProduct(int id)
        {
            SqlConnection connection = new SqlConnection(cs);
            string query = "SELECT * FROM users where id = '" + id + "'";
            SqlCommand cmd = new SqlCommand(query, connection);
            var modelList = new List<User>();
            connection.Open();
            SqlDataReader sdr = cmd.ExecuteReader();
            while (sdr.Read())
            {
                var user = new User();
                user.id = (int)sdr["id"];
                user.first_name = (string)sdr["first_name"];
                user.last_name = (string)sdr["last_name"];
                user.email = (string)sdr["email"];
                user.password = (string)sdr["password"];
                user.address = (string)sdr["address"];
                modelList.Add(user);
            }
            connection.Close();
            return View(modelList);
        }



        public ActionResult ViewProduct()
        {
            SqlConnection connection = new SqlConnection(cs);
            string query = "SELECT * FROM categories";
            SqlCommand cmd = new SqlCommand(query, connection);
            var modelList = new List<Category>();
            connection.Open();
            SqlDataReader sdr = cmd.ExecuteReader();
            while (sdr.Read())
            {
                var cat = new Category();
                cat.id = (int)sdr["id"];
                cat.category_name = (string)sdr["category_name"];
                cat.status = (int)sdr["status"];
                modelList.Add(cat);
            }
            connection.Close();
            return View(modelList);
        }
    }
}

Custom_CRUD_MVC/Custom_CRUD_MVC/Controllers/UserController.cs
using Custom_CRUD_MVC.Models;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Custom_CRUD_MVC.Controllers
{
    public class UserController : Controller
    {
        public string cs = ConfigurationManager.ConnectionStrings["ems"].ConnectionString;
        // GET: User
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult CreateUser()
        {
            return View();
        }

        [HttpPost]
        public ActionResult CreateUser(User user)
        {
            SqlConnection connection = new SqlConnection(cs);
            connection.Open();
            string query = "INSERT INTO users (first_name,last_name,email,password,address)" +
                " VALUES ('" + user.first_name+ "','" + user.last_name + "','" + user.email + "','" + user.password + "','" + user.address + "')";
            SqlCommand cmd = new SqlCommand(query, connection);
            cmd.ExecuteNonQuery();
            connection.Close();

            return View();
        }

        public ActionResult EditUser(int id)
        {
            SqlConnection connection = new SqlConnection(cs);
            string query = "SELECT * FROM users where id = '"+ id + "'";
            SqlCommand cmd = new SqlCommand(query, connection);
            var modelList = new List<User>();
            connection.Open();
            SqlDataReader sdr = cmd.ExecuteReader();
            while (sdr.Read())
            {
                var user = new User();
                user.id = (int)sdr["id"];
                user.first_name = (string)sdr["first_name"];
                user.last_name = (string)sdr["last_name"];
                user.email = (string)sdr["email"];
                user.password = (string)sdr["password"];
                user.address = (string)sdr["address"];
                modelList.Add(user);
            }
            connection.Close();
            return View(modelList);
        }



        public ActionResult ViewUser()
        {
            if (Session["user_id"] != null)
            {
                SqlConnection connection = new SqlConnection(cs);
                string query = "SELECT * FROM users";
                SqlCommand cmd = new SqlCommand(query, connection);
                var modelList = new List<User>();
                connection.Open();
                SqlDataReader sdr = cmd.ExecuteReader();
                while (sdr.Read())
                {
                    var user = new User();
                    user.id = (int)sdr["id"];
                    user.first_name = (string)sdr["first_name"];
                    user.last_name = (string)sdr["last_name"];
                    user.email = (string)sdr["email"];
                    user.password = (string)sdr["password"];
                    user.address = (string)sdr["address"];
                    modelList.Add(user);
                }
                connection.Close();
                return View(modelList);
            }
            else
            {
                return RedirectToRoute(new
                {
                    controller = "Home",
                    action = "Login",
                });
            }
        }
    }
}

Custom_CRUD_MVC/Custom_CRUD_MVC/Views/Products/CreateProduct.cshtml
@model List<Custom_CRUD_MVC.Models.Category>

@{
    ViewBag.Title = "CreateUser";
}

<h2>Create New Product here</h2>

@*@Html.BeginForm("CreateUser", "User", FormMethod.Post)*@
@Html.BeginForm("CreateProduct", "Products", FormMethod.Post)
@*<form action="/User/CreateUser" method="post">*@
<div class="form-row">
    <div class="form-group col-md-6">
        <label for="inputAddress2">Product Name</label>
        @*@Html.EditorFor(model => model.first_name, new { htmlAttributes = new { @class = "form-control" } })*@
        <input type="text" class="form-control" id="product_name" name="product_name" placeholder="Enter product name here">
    </div>
    <div class="form-group col-md-6">
        <label for="inputAddress2">Product Price</label>
        <input type="number" class="form-control" id="product_price" name="product_price" placeholder="Enter product price here">
    </div>
</div>
<div class="form-row">
    <div class="form-group col-md-6">
        <label for="inputEmail4">Product Quantity</label>
        <input type="number" class="form-control" id="product_quantity" name="product_quantity" placeholder="Product quantity">
    </div>
    <div class="form-group col-md-6">
        <label for="inputPassword4">Brand Name</label>
        <input type="text" class="form-control" id="brand_name" name="brand_name" placeholder="Brand Name">
    </div>
</div>
<div class="form-group">
    <label for="inputAddress">Category</label>
    <select class="form-control" id="category_id" name="    ">
        @foreach (var item in Model)
        {
            <option value="@item.id">@item.category_name</option>
        }
    </select>
</div>
<button type="submit" class="btn btn-primary">Sign in</button>

Custom_CRUD_MVC/Custom_CRUD_MVC/Views/Products/EditProduct.cshtml
@{
    ViewBag.Title = "EditProduct";
}

<h2>EditProduct</h2>

Custom_CRUD_MVC/Custom_CRUD_MVC/Views/Products/View.cshtml
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>View</title>
</head>
<body>
    <div>
        Product Form here
    </div>
</body>
</html>